<script language="javascript">
    //这段js用来给图文新闻里面的图片点击跳转到组图详情里面用的
	function webImgClick(e)
	{
		var index=e.attributes["android_imgindex"].nodeValue;
		var left=e.offsetLeft;
		var top=e.offsetTop;
		var offsetWidth=e.offsetWidth;
		var offsetHeight=e.offsetHeight;
		console.log("click img index:"+index);
		window.Js2GroupImage.openImgAlbum(left,top,offsetWidth,offsetHeight,index);
	}
    //这段代码用作图文新闻里面插入多视频的时候点击播放视频用的
    function webVideoClick(e)
    {
        var index=e.attributes["videoIndex"].nodeValue;
        var appVideo=document.getElementById("appVideo"+index);
        var appVideoItemDivID=document.getElementById("appVideoItemDivID"+index);
        //var left=appVideo.offsetLeft;
        var left=offsetLeft(appVideoItemDivID);
        //var top=appVideo.offsetTop;
        var top=offsetTop(appVideoItemDivID);
        var offsetWidth=appVideoItemDivID.offsetWidth;
        var offsetHeight=appVideoItemDivID.offsetHeight;
        for(var key in e)
        {
            console.log("点击e参数："+e+" e value:"+e[key]);
        }
        console.log("点击视频索引------------------------"+index);
        window.JsVideoCall.playJSVideo(left,top,offsetWidth,offsetHeight,index);
    }

    //图片加载完成事件
    function resizeNativeControl(e)
    {
        console.log("开始重置坐标------------------------");
        window.JsVideoCall.resizeNativeControl();
    }

    //取对应某个视频节点绝对位置
    function getJsVideoIdPosition(index)
    {
        var appVideo=document.getElementById("appVideo"+index);
        var appVideoItemDivID=document.getElementById("appVideoItemDivID"+index);
        var left=offsetLeft(appVideoItemDivID);
        //var top=appVideo.offsetTop;
        var top=offsetTop(appVideoItemDivID);
        var offsetWidth=appVideoItemDivID.offsetWidth;
        var offsetHeight=appVideoItemDivID.offsetHeight;
        console.log("取索引为"+index+"上的视频原生组件坐标------------------------");
        window.JsVideoCall.resizeVideoControlIndex(left,top,offsetWidth,offsetHeight,index);
    }

//取对应某个音频频节点绝对位置
    function getJsAudioIdPosition(index)
    {
        var appAudio=document.getElementById("appAudio"+index);
        var appAudioItemDivID=document.getElementById("appAudioItemDivID"+index);
       // var left=appAudio.offsetLeft;
        var left=offsetLeft(appAudio);
        //var top=appAudio.offsetTop;
        var top=offsetTop(appAudioItemDivID);
        var offsetWidth=appAudioItemDivID.offsetWidth;
        var offsetHeight=appAudioItemDivID.offsetHeight;
        console.log("取索引为"+index+"上的音频原生组件坐标------------------------");
        window.JsVideoCall.resizeAudioControlIndex(left,top,offsetWidth,offsetHeight,index);
    }

    //生成原生音频界面控制条
    function generateNativeAudioControl(e)
    {
        var index=e.attributes["AudioIndex"].nodeValue;
        var appAudio=document.getElementById("appAudio"+index);
        var appAudioItemDivID=document.getElementById("appAudioItemDivID"+index);
        //var left=appAudio.offsetLeft;
        var left=offsetLeft(appAudio);
        //var top=appAudio.offsetTop;
        var top=offsetTop(appAudioItemDivID);
        var offsetWidth=appAudioItemDivID.offsetWidth;
        var offsetHeight=appAudioItemDivID.offsetHeight;
        window.JsAudioCall.addJSAudioControl(left,top,offsetWidth,offsetHeight,index);
    }


    function offsetTop(elements)
    {
        var top = elements.offsetTop;
        var parent = elements.offsetParent;
        while( parent != null )
        {
            top += parent.offsetTop;
            parent = parent.offsetParent;
        }
        return top;
    }

    function offsetLeft(elements)
    {
        var left = elements.offsetLeft;
        var parent = elements.offsetParent;
        while( parent != null )
        {
            left += parent.offsetLeft;
            parent = parent.offsetParent;
        }
        return left;
    }
</script>